<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_PERSONAL_MATERIAL_TRANSFER_RETURN';

if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/inventory/includes/db/personal_material_issues_db.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 

$js = '';
$js .= get_js_open_window(900, 500);
$js .= get_js_date_picker();

page($help_context = 'Approve '.$systypes_array[ST_PERSONAL_MATERIAL_TRANSFER_RETURN], false, false, "", $js);

function _trans_no($row){ 
    return get_inventory_trans_view_str($row['type'], $row['trans_no']);
}

function _reference($row){
    return $row['reference'];
}

function _location($row){
    return $row['location_name'];
}

function _project_name($row){
    return $row['project_description'];
}

function _tran_date($row){
    return sql2date($row['tran_date']);
}

function _created_by($row){
    return $row['real_name'];
}

function _created_on($row){
    return $row['created_on'];
}

function _approval_status($row){
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];
}

function _approval_group($row){
    return get_project_trans_view_str(ST_APPROVAL_GROUP,$row['next_approval_group_id'], $row['approval_group_description']);
}

function _edit_link($row){
    global $systypes_array;
    $pmr_no = "pmtrrt_no=".$row['id'];
    return pager_link( _($systypes_array[ST_PERSONAL_MATERIAL_TRANSFER_RETURN]), "/inventory/personal_material_transfer_returns.php?$pmr_no", ICON_DOC);
}

start_form();

    $sql = get_sql_for_approve_personal_material_issues($_SESSION['wa_current_user']->user, ST_PERSONAL_MATERIAL_TRANSFER_RETURN);    
    
        $cols = array(  _("Trans #") => array('fun'=>'_trans_no', 'align'=>'center'), 
                        _("Ref") => array('fun'=>'_reference', 'align'=>'left'), 
                        _("Date") => array('fun'=>'_tran_date', 'align'=>'center'),
                        _("Location") => array('fun'=>'_location'), 
                        _("Project") => array('fun'=>'_project_name'),      
                        _("Created By") => array('fun'=>'_created_by', 'align'=>'left'),
                        _("Created On") => array('fun'=>'_created_on', 'align'=>'center'),
                        _("Approval Status") => array('fun'=>'_approval_status', 'align'=>'center'), 
                        _("Next Approval Group") => array('fun'=>'_approval_group', 'align'=>'center'), 
                    );
    
        array_append($cols, array(array('insert'=>true, 'fun'=>'_edit_link', 'align'=>'center')));

    $table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

    $table->width = "95%";

    display_db_pager($table);

end_form(2);
end_page();

?>